ClarisWksStyleManagerInternal::Gradient Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStyleManagerInternal::Gradient Struct Reference

Internal: the gradient of a ClarisWksStyleManager. More...

## Public Member Functions
| Gradient (int type=0, int nColor=0, int angle=0, float decal=0)
| construtor
bool | ok () const
| check if the gradient is valid
bool | update (MWAWGraphicStyle &style) const
| update the style

## Public Attributes
int | m_type
| the type
int | m_numColors
| the number of color
MWAWColor | m_colors [4]
| the color
int | m_angle
| the angle
float | m_decal
| the decal
MWAWBox2i | m_box
| the center bdbox

## Friends
std::ostream & | operator<< (std::ostream &o, Gradient const &gr)
| operator<<

## Detailed Description

Internal: the gradient of a ClarisWksStyleManager.

## Constructor & Destructor Documentation

## ◆ Gradient()

ClarisWksStyleManagerInternal::Gradient::Gradient | ( | int | type = `0`,
|  | int | nColor = `0`,
|  | int | angle = `0`,
|  | float | decal = `0`
| ) |  |
| inlineexplicit

construtor

## Member Function Documentation

## ◆ ok()

bool ClarisWksStyleManagerInternal::Gradient::ok | ( |  | ) | const
| inline

check if the gradient is valid

Referenced by ClarisWksStyleManager::readGradientList().

## ◆ update()

bool ClarisWksStyleManagerInternal::Gradient::update | ( | MWAWGraphicStyle & | style | ) | const

update the style

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Gradient const & | gr
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_angle

int ClarisWksStyleManagerInternal::Gradient::m_angle

the angle

Referenced by ClarisWksStyleManager::readGradientList().

## ◆ m_box

MWAWBox2i ClarisWksStyleManagerInternal::Gradient::m_box

the center bdbox

Referenced by ClarisWksStyleManager::readGradientList(), and ClarisWksStyleManagerInternal::State::setDefaultGradientList().

## ◆ m_colors

MWAWColor ClarisWksStyleManagerInternal::Gradient::m_colors[4]

the color

Referenced by ClarisWksStyleManager::readGradientList(), and ClarisWksStyleManagerInternal::State::setDefaultGradientList().

## ◆ m_decal

float ClarisWksStyleManagerInternal::Gradient::m_decal

the decal

Referenced by ClarisWksStyleManager::readGradientList().

## ◆ m_numColors

int ClarisWksStyleManagerInternal::Gradient::m_numColors

the number of color

Referenced by ClarisWksStyleManager::readGradientList().

## ◆ m_type

int ClarisWksStyleManagerInternal::Gradient::m_type

the type

Referenced by ClarisWksStyleManager::readGradientList().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.cxx